cURL
curl \
--request PATCH \
--url "https://api.breeze.blue/v1/studio/files/123e4567-e89b-42d3-a456-426614174001" \
--header "xi-api-key: $BREEZE_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"expected_revision": 1,
"name": "rain.mp3"
}'from breeze_blue import BreezeBlue
client = BreezeBlue()
result = client.studio.files.update("123e4567-e89b-42d3-a456-426614174001", {
"expected_revision": 1,
"name": "rain.mp3",
})import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient();
const result = await client.studio.files.update("123e4567-e89b-42d3-a456-426614174001", {
expectedRevision: 1,
name: "rain.mp3",
});{
"id": "<string>",
"project_id": "<string>",
"name": "<string>",
"revision": 123,
"status": "uploading",
"frames": 123,
"sample_rate": 123,
"size_bytes": 123,
"error_code": "<string>",
"error_reason": "<string>",
"error_message": "<string>",
"references": 123
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Studio
Rename a file
Change a file’s name.
PATCH
/
v1
/
studio
/
files
/
{file_id}
cURL
curl \
--request PATCH \
--url "https://api.breeze.blue/v1/studio/files/123e4567-e89b-42d3-a456-426614174001" \
--header "xi-api-key: $BREEZE_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"expected_revision": 1,
"name": "rain.mp3"
}'from breeze_blue import BreezeBlue
client = BreezeBlue()
result = client.studio.files.update("123e4567-e89b-42d3-a456-426614174001", {
"expected_revision": 1,
"name": "rain.mp3",
})import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient();
const result = await client.studio.files.update("123e4567-e89b-42d3-a456-426614174001", {
expectedRevision: 1,
name: "rain.mp3",
});{
"id": "<string>",
"project_id": "<string>",
"name": "<string>",
"revision": 123,
"status": "uploading",
"frames": 123,
"sample_rate": 123,
"size_bytes": 123,
"error_code": "<string>",
"error_reason": "<string>",
"error_message": "<string>",
"references": 123
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Continue building
Arrange background audio
Upload files and place them on tracks.
Create an instance
Place a ready file on a track.
Studio CLI
Run the same operations from a terminal.
Authorizations
Breeze Developer API key.
Path Parameters
Audio file ID.
Body
application/json
Response
The updated file.
File ID.
Project that owns the file; null for a personal file.
File name.
Current revision. Send it as expected_revision to rename or delete.
uploading until the upload is completed, then queued and running while processing, and finally ready or failed.
Available options:
uploading, queued, running, ready, failed Length in frames at sample_rate, once processed.
Frame rate used for all Studio timing: 48000.
Original upload size in bytes.
Error code when processing failed.
Machine-readable failure reason.
Readable failure message.
Number of instances that use the file.

